<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
		  <title>Tutorial</title>
		  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
		  <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		  <meta http-equiv="Content-Language" content="en-en" />
		  <meta http-equiv="X-UA-Compatible" content="IE=10" />
		  <link href="../../root/assets/css/sde-dialog.css" rel="stylesheet" type="text/css" />
		  <script src="../../root/assets/js/jquery.min.js" type="text/javascript"></script>
    </head>
    <body>
		  <form id="sde-dialog-form">
				<div id="sde-dialog-content">
					 <div class="sde-dialog-group">
						  <div class="sde-dialog-group-heading">Tutorial</div>
						  <div class="sde-dialog-group-content">
								<table id="sde-box-product-reference">
									 <tr>
										  <td class="left-label">
												<label for="sde-tutorial-product-reference">Product Reference</label>
										  </td>
										  <td>
												<input id="sde-tutorial-product-reference" name="sde_tutorial[product-reference]" type="text" />
												<input value="Lookup" type="button" class="sde-dialog-button" id="sde-tutorial-lookup" />
												<span class="progressbar"></span>
										  </td>
									 </tr>
								</table>
								<input id="sde-tutorial-product-reference-from-db" name="sde_tutorial[product-reference-from-db]" type="hidden" />
								<table id="sde-box-product-description">
									 <tr>
										  <td class="left-label">
												<label for="sde-tutorial-product-description">Product Description</label>
										  </td>
										  <td style="width:100%;">
												<textarea id="sde-tutorial-product-description" name="sde_tutorial[product-description]" style="width:100%;height:50px;"></textarea>
										  </td>
									 </tr>
									 <tr>
										  <td>
												<input value="Update" type="button" class="sde-dialog-button" id="sde-tutorial-update" />
										  </td>
									 </tr>

								</table>
						  </div>
					 </div>
				</div>
		  </form>
		  <script type="text/javascript">
           //
           // Functions
           //
           var token = function () {
               return Math.random().toString(36).substr(2); // remove `0.`
           };
           $("#sde-box-product-description").hide();
           $("#sde-tutorial-lookup").click(function () {
               $(".progressbar").html('<img align="middle" height="18px" src="<?php echo \SDExtension\CConfig::get('sdd-configuration.baseurl'); ?>assets/images/ajax_progress.gif" />');
               $.ajax({
                   type: "POST",
                   url: "<?php echo \SDExtension\CConfig::get('sdd-configuration.baseurl') . \SDExtension\CConfig::get('sdd-configuration.extensionurl'); ?>ajax.php?function=lookup&key=" + token(),
                   context: document.body,
                   data: {'product-reference': $("#sde-tutorial-product-reference").val()}
               }).done(function (oResponse) {
                   if (oResponse["bError"] > 0) {
                       $(".progressbar").html('<br/>Error: ' + oResponse["sErrorMessage"]);
                   } else {
                       $(".progressbar").html('');
                       $("#sde-box-product-description").show();
                       $("#sde-tutorial-product-reference-from-db").val(oResponse["Product Reference"]);
                       $("#sde-tutorial-product-description").val(oResponse["Full description"]);
                   }
               });

           });
           $("#sde-tutorial-update").click(function () {
               $(".progressbar").html('<img align="middle" height="18px" src="<?php echo \SDExtension\CConfig::get('sdd-configuration.baseurl'); ?>assets/images/ajax_progress.gif" />');
               $.ajax({
                   type: "POST",
                   url: "<?php echo \SDExtension\CConfig::get('sdd-configuration.baseurl') . \SDExtension\CConfig::get('sdd-configuration.extensionurl'); ?>ajax.php?function=update&key=" + token(),
                   context: document.body,
                   data: {
                       'product-reference': $("#sde-tutorial-product-reference-from-db").val(),
                       'product-description': $("#sde-tutorial-product-description").val()
                   }
               }).done(function (oResponse) {
                   if (oResponse["bError"] > 0) {
                       $(".progressbar").html('<br/>Error: ' + oResponse["sErrorMessage"]);
                   } else {
                       $(".progressbar").html('<br/>' + $("#sde-tutorial-product-reference-from-db").val() + ' updated to "' + $("#sde-tutorial-product-description").val() + '".');
                       $("#sde-box-product-description").hide();
                   }
               });
           });
		  </script>
    </body>
</html>
