<?php
date_default_timezone_set('GMT');

/*
 * Tutorial AJAX and TIMER call backend
 */

require_once('../../framework/bootstrap.php');
//
// Logging to Screen
//
if (arr_get($_GET, 'source', 'timer') == 'ajax')
	{
	\SDExtension\Helper\CLogger::initLogToScreen();
	\SDExtension\Helper\CLogger::get(LOG_CHANNEL_NAME)->addNotice("Called via AJAX...");
	}
else
	{
	\SDExtension\Helper\CLogger::get(LOG_CHANNEL_NAME)->addNotice("Called by TIMER...");
	$sConfigFile = CONFIG_ROOT . "downloader_response.php";
	$aResponse = load_config($sConfigFile, function() use ($sConfigFile)
		{
		\SDExtension\Helper\CLogger::get(LOG_CHANNEL_NAME)->addError(EXCEPTION_MSG_CANT_LOAD_CONFIG_FILE . ": $sConfigFile.");
		throw new \SDExtension\SDException\SDException(EXCEPTION_MSG_CANT_LOAD_CONFIG_FILE . ": $sConfigFile.", EXCEPTION_CODE_CANT_LOAD_CONFIG_FILE);
		});
	$sResponseXML = SDExtension\Helper\Array2XML::createXML('response', $aResponse)->saveXML();
	echo $sResponseXML;
	}
