<?php

namespace Monolog\Handler;

use Monolog\Logger;

class AjaxStreamHandler extends StreamHandler
	{

	public function __construct($level = Logger::DEBUG, $bubble = true, $filePermission = null)
		{
		parent::__construct("", $level, $bubble);
		$this->filePermission = $filePermission;
		}

	protected function write(array $record)
		{

		echo "data: " . ((string) $record['formatted']) . "\n";
		ob_flush();
		flush();
		}

	}
